// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		6DF25E4821F33FE8009E73CE /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 6DF25E4721F33FE8009E73CE /* AppDelegate.swift */; };
		6DF25E4A21F33FE8009E73CE /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 6DF25E4921F33FE8009E73CE /* ViewController.swift */; };
		6DF25E4D21F33FE8009E73CE /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 6DF25E4B21F33FE8009E73CE /* Main.storyboard */; };
		6DF25E4F21F33FEA009E73CE /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 6DF25E4E21F33FEA009E73CE /* Assets.xcassets */; };
		6DF25E5221F33FEA009E73CE /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 6DF25E5021F33FEA009E73CE /* LaunchScreen.storyboard */; };
		6DF25E6821F33FEA009E73CE /* NotepadKitSampleUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 6DF25E6721F33FEA009E73CE /* NotepadKitSampleUITests.swift */; };
		6DF25E8321F50ADA009E73CE /* NotepadKit.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 6DF25E7A21F50AD9009E73CE /* NotepadKit.framework */; };
		6DF25E8A21F50ADA009E73CE /* NotepadKitTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 6DF25E8921F50ADA009E73CE /* NotepadKitTests.swift */; };
		6DF25E8F21F50ADA009E73CE /* NotepadKit.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 6DF25E7A21F50AD9009E73CE /* NotepadKit.framework */; };
		6DF25E9021F50ADA009E73CE /* NotepadKit.framework in Embed Frameworks */ = {isa = PBXBuildFile; fileRef = 6DF25E7A21F50AD9009E73CE /* NotepadKit.framework */; settings = {ATTRIBUTES = (CodeSignOnCopy, RemoveHeadersOnCopy, ); }; };
		98AFA0871E17CBB9509A1E2C /* UIView+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 98AFA6D66F8BE9C1D2647CFD /* UIView+Extensions.swift */; };
		98AFA7C5675CF6D687F278E4 /* NSObject+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 98AFAAB25AC12475BC78A766 /* NSObject+Extensions.swift */; };
		98AFA8F5B340A86FAA8B54D7 /* UIViewController+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 98AFA8CAF8ED1946A177CA22 /* UIViewController+Extensions.swift */; };
		98AFAA0BD3CF199DAE5F9475 /* NotepadDetailViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 98AFA0F104CD03EC397FFCF1 /* NotepadDetailViewController.swift */; };
		98AFABB04E921C7DA11E6F15 /* NotepadTestViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 98AFAFE3A60503C55B2185BE /* NotepadTestViewController.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		6DF25E6421F33FEA009E73CE /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 6DF25E3C21F33FE8009E73CE /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 6DF25E4321F33FE8009E73CE;
			remoteInfo = NotepadKitSample;
		};
		6DF25E8421F50ADA009E73CE /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 6DF25E3C21F33FE8009E73CE /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 6DF25E7921F50AD9009E73CE;
			remoteInfo = NotepadKit;
		};
		6DF25E8621F50ADA009E73CE /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 6DF25E3C21F33FE8009E73CE /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 6DF25E4321F33FE8009E73CE;
			remoteInfo = NotepadKitSample;
		};
		6DF25E8D21F50ADA009E73CE /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 6DF25E3C21F33FE8009E73CE /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 6DF25E7921F50AD9009E73CE;
			remoteInfo = NotepadKit;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXCopyFilesBuildPhase section */
		6DF25E9421F50ADA009E73CE /* Embed Frameworks */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "";
			dstSubfolderSpec = 10;
			files = (
				6DF25E9021F50ADA009E73CE /* NotepadKit.framework in Embed Frameworks */,
			);
			name = "Embed Frameworks";
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		6D6CA3722267191E0016649C /* commonMain */ = {isa = PBXFileReference; lastKnownFileType = folder; name = commonMain; path = ../notepadSdk/src/commonMain; sourceTree = "<group>"; };
		6D6CA3732267191E0016649C /* iosMain */ = {isa = PBXFileReference; lastKnownFileType = folder; name = iosMain; path = ../notepadSdk/src/iosMain; sourceTree = "<group>"; };
		6DC507862266BA4A00D6ABED /* Info.plist */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.plist.xml; name = Info.plist; path = ../notepadSdk/Info.plist; sourceTree = "<group>"; };
		6DF25E4421F33FE8009E73CE /* NotepadKitSample.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = NotepadKitSample.app; sourceTree = BUILT_PRODUCTS_DIR; };
		6DF25E4721F33FE8009E73CE /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		6DF25E4921F33FE8009E73CE /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		6DF25E4C21F33FE8009E73CE /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		6DF25E4E21F33FEA009E73CE /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		6DF25E5121F33FEA009E73CE /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		6DF25E5321F33FEA009E73CE /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		6DF25E6321F33FEA009E73CE /* NotepadKitSampleUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = NotepadKitSampleUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		6DF25E6721F33FEA009E73CE /* NotepadKitSampleUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NotepadKitSampleUITests.swift; sourceTree = "<group>"; };
		6DF25E6921F33FEA009E73CE /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		6DF25E7A21F50AD9009E73CE /* NotepadKit.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = NotepadKit.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		6DF25E8221F50AD9009E73CE /* NotepadKitTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = NotepadKitTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		6DF25E8921F50ADA009E73CE /* NotepadKitTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NotepadKitTests.swift; sourceTree = "<group>"; };
		6DF25E8B21F50ADA009E73CE /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		98AFA0F104CD03EC397FFCF1 /* NotepadDetailViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = NotepadDetailViewController.swift; sourceTree = "<group>"; };
		98AFA6D66F8BE9C1D2647CFD /* UIView+Extensions.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "UIView+Extensions.swift"; sourceTree = "<group>"; };
		98AFA8CAF8ED1946A177CA22 /* UIViewController+Extensions.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "UIViewController+Extensions.swift"; sourceTree = "<group>"; };
		98AFAAB25AC12475BC78A766 /* NSObject+Extensions.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "NSObject+Extensions.swift"; sourceTree = "<group>"; };
		98AFAFE3A60503C55B2185BE /* NotepadTestViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = NotepadTestViewController.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		6DF25E4121F33FE8009E73CE /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6DF25E8F21F50ADA009E73CE /* NotepadKit.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		6DF25E6021F33FEA009E73CE /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		6DF25E7F21F50AD9009E73CE /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6DF25E8321F50ADA009E73CE /* NotepadKit.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		6D21194A21F50C1500F71BA5 /* NotepadKit */ = {
			isa = PBXGroup;
			children = (
				6D6CA3722267191E0016649C /* commonMain */,
				6D6CA3732267191E0016649C /* iosMain */,
				6DC507862266BA4A00D6ABED /* Info.plist */,
			);
			name = NotepadKit;
			sourceTree = "<group>";
		};
		6DF25E3B21F33FE8009E73CE = {
			isa = PBXGroup;
			children = (
				6D21194A21F50C1500F71BA5 /* NotepadKit */,
				6DF25E8821F50ADA009E73CE /* NotepadKitTests */,
				6DF25E4621F33FE8009E73CE /* NotepadKitSample */,
				6DF25E6621F33FEA009E73CE /* NotepadKitSampleUITests */,
				6DF25E4521F33FE8009E73CE /* Products */,
			);
			sourceTree = "<group>";
		};
		6DF25E4521F33FE8009E73CE /* Products */ = {
			isa = PBXGroup;
			children = (
				6DF25E4421F33FE8009E73CE /* NotepadKitSample.app */,
				6DF25E6321F33FEA009E73CE /* NotepadKitSampleUITests.xctest */,
				6DF25E7A21F50AD9009E73CE /* NotepadKit.framework */,
				6DF25E8221F50AD9009E73CE /* NotepadKitTests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		6DF25E4621F33FE8009E73CE /* NotepadKitSample */ = {
			isa = PBXGroup;
			children = (
				6DF25E4721F33FE8009E73CE /* AppDelegate.swift */,
				6DF25E4921F33FE8009E73CE /* ViewController.swift */,
				6DF25E4B21F33FE8009E73CE /* Main.storyboard */,
				6DF25E4E21F33FEA009E73CE /* Assets.xcassets */,
				6DF25E5021F33FEA009E73CE /* LaunchScreen.storyboard */,
				6DF25E5321F33FEA009E73CE /* Info.plist */,
				98AFA6D66F8BE9C1D2647CFD /* UIView+Extensions.swift */,
				98AFAAB25AC12475BC78A766 /* NSObject+Extensions.swift */,
				98AFA0F104CD03EC397FFCF1 /* NotepadDetailViewController.swift */,
				98AFA8CAF8ED1946A177CA22 /* UIViewController+Extensions.swift */,
				98AFAFE3A60503C55B2185BE /* NotepadTestViewController.swift */,
			);
			path = NotepadKitSample;
			sourceTree = "<group>";
		};
		6DF25E6621F33FEA009E73CE /* NotepadKitSampleUITests */ = {
			isa = PBXGroup;
			children = (
				6DF25E6721F33FEA009E73CE /* NotepadKitSampleUITests.swift */,
				6DF25E6921F33FEA009E73CE /* Info.plist */,
			);
			path = NotepadKitSampleUITests;
			sourceTree = "<group>";
		};
		6DF25E8821F50ADA009E73CE /* NotepadKitTests */ = {
			isa = PBXGroup;
			children = (
				6DF25E8921F50ADA009E73CE /* NotepadKitTests.swift */,
				6DF25E8B21F50ADA009E73CE /* Info.plist */,
			);
			path = NotepadKitTests;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		6DF25E4321F33FE8009E73CE /* NotepadKitSample */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 6DF25E6C21F33FEA009E73CE /* Build configuration list for PBXNativeTarget "NotepadKitSample" */;
			buildPhases = (
				6DF25E4021F33FE8009E73CE /* Sources */,
				6DF25E4121F33FE8009E73CE /* Frameworks */,
				6DF25E4221F33FE8009E73CE /* Resources */,
				6DF25E9421F50ADA009E73CE /* Embed Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
				6DF25E8E21F50ADA009E73CE /* PBXTargetDependency */,
			);
			name = NotepadKitSample;
			productName = NotepadKitSample;
			productReference = 6DF25E4421F33FE8009E73CE /* NotepadKitSample.app */;
			productType = "com.apple.product-type.application";
		};
		6DF25E6221F33FEA009E73CE /* NotepadKitSampleUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 6DF25E7221F33FEA009E73CE /* Build configuration list for PBXNativeTarget "NotepadKitSampleUITests" */;
			buildPhases = (
				6DF25E5F21F33FEA009E73CE /* Sources */,
				6DF25E6021F33FEA009E73CE /* Frameworks */,
				6DF25E6121F33FEA009E73CE /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				6DF25E6521F33FEA009E73CE /* PBXTargetDependency */,
			);
			name = NotepadKitSampleUITests;
			productName = NotepadKitSampleUITests;
			productReference = 6DF25E6321F33FEA009E73CE /* NotepadKitSampleUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
		6DF25E7921F50AD9009E73CE /* NotepadKit */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 6DF25E9121F50ADA009E73CE /* Build configuration list for PBXNativeTarget "NotepadKit" */;
			buildPhases = (
				6D21195121F50CE000F71BA5 /* Compile Kotlin/Native */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = NotepadKit;
			productName = NotepadKit;
			productReference = 6DF25E7A21F50AD9009E73CE /* NotepadKit.framework */;
			productType = "com.apple.product-type.framework";
		};
		6DF25E8121F50AD9009E73CE /* NotepadKitTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 6DF25E9521F50ADA009E73CE /* Build configuration list for PBXNativeTarget "NotepadKitTests" */;
			buildPhases = (
				6DF25E7E21F50AD9009E73CE /* Sources */,
				6DF25E7F21F50AD9009E73CE /* Frameworks */,
				6DF25E8021F50AD9009E73CE /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				6DF25E8521F50ADA009E73CE /* PBXTargetDependency */,
				6DF25E8721F50ADA009E73CE /* PBXTargetDependency */,
			);
			name = NotepadKitTests;
			productName = NotepadKitTests;
			productReference = 6DF25E8221F50AD9009E73CE /* NotepadKitTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		6DF25E3C21F33FE8009E73CE /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1010;
				LastUpgradeCheck = 1010;
				ORGANIZATIONNAME = "Woodemi Tech Co., Ltd";
				TargetAttributes = {
					6DF25E4321F33FE8009E73CE = {
						CreatedOnToolsVersion = 10.1;
					};
					6DF25E6221F33FEA009E73CE = {
						CreatedOnToolsVersion = 10.1;
						TestTargetID = 6DF25E4321F33FE8009E73CE;
					};
					6DF25E7921F50AD9009E73CE = {
						CreatedOnToolsVersion = 10.1;
					};
					6DF25E8121F50AD9009E73CE = {
						CreatedOnToolsVersion = 10.1;
						TestTargetID = 6DF25E4321F33FE8009E73CE;
					};
				};
			};
			buildConfigurationList = 6DF25E3F21F33FE8009E73CE /* Build configuration list for PBXProject "NotepadKitSample" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 6DF25E3B21F33FE8009E73CE;
			productRefGroup = 6DF25E4521F33FE8009E73CE /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				6DF25E7921F50AD9009E73CE /* NotepadKit */,
				6DF25E8121F50AD9009E73CE /* NotepadKitTests */,
				6DF25E4321F33FE8009E73CE /* NotepadKitSample */,
				6DF25E6221F33FEA009E73CE /* NotepadKitSampleUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		6DF25E4221F33FE8009E73CE /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6DF25E5221F33FEA009E73CE /* LaunchScreen.storyboard in Resources */,
				6DF25E4F21F33FEA009E73CE /* Assets.xcassets in Resources */,
				6DF25E4D21F33FE8009E73CE /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		6DF25E6121F33FEA009E73CE /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		6DF25E8021F50AD9009E73CE /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		6D21195121F50CE000F71BA5 /* Compile Kotlin/Native */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
			);
			name = "Compile Kotlin/Native";
			outputFileListPaths = (
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "# Compile Kotlin Multiplatform requires ANDROID_HOME\nif [ ! -f $SRCROOT/../local.properties ]; then\n    source ~/.bash_profile\nfi\n\n\"$SRCROOT/../gradlew\" -p \"$SRCROOT/../notepadSdk\" copyFramework \\\n-Pconfiguration.build.dir=\"$CONFIGURATION_BUILD_DIR\"          \\\n-Pkotlin.build.type=\"$KOTLIN_BUILD_TYPE\"                      \\\n-Pkotlin.target=\"$KOTLIN_TARGET\"\n";
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		6DF25E4021F33FE8009E73CE /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6DF25E4A21F33FE8009E73CE /* ViewController.swift in Sources */,
				6DF25E4821F33FE8009E73CE /* AppDelegate.swift in Sources */,
				98AFA0871E17CBB9509A1E2C /* UIView+Extensions.swift in Sources */,
				98AFA7C5675CF6D687F278E4 /* NSObject+Extensions.swift in Sources */,
				98AFAA0BD3CF199DAE5F9475 /* NotepadDetailViewController.swift in Sources */,
				98AFA8F5B340A86FAA8B54D7 /* UIViewController+Extensions.swift in Sources */,
				98AFABB04E921C7DA11E6F15 /* NotepadTestViewController.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		6DF25E5F21F33FEA009E73CE /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6DF25E6821F33FEA009E73CE /* NotepadKitSampleUITests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		6DF25E7E21F50AD9009E73CE /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6DF25E8A21F50ADA009E73CE /* NotepadKitTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		6DF25E6521F33FEA009E73CE /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 6DF25E4321F33FE8009E73CE /* NotepadKitSample */;
			targetProxy = 6DF25E6421F33FEA009E73CE /* PBXContainerItemProxy */;
		};
		6DF25E8521F50ADA009E73CE /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 6DF25E7921F50AD9009E73CE /* NotepadKit */;
			targetProxy = 6DF25E8421F50ADA009E73CE /* PBXContainerItemProxy */;
		};
		6DF25E8721F50ADA009E73CE /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 6DF25E4321F33FE8009E73CE /* NotepadKitSample */;
			targetProxy = 6DF25E8621F50ADA009E73CE /* PBXContainerItemProxy */;
		};
		6DF25E8E21F50ADA009E73CE /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 6DF25E7921F50AD9009E73CE /* NotepadKit */;
			targetProxy = 6DF25E8D21F50ADA009E73CE /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		6DF25E4B21F33FE8009E73CE /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				6DF25E4C21F33FE8009E73CE /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		6DF25E5021F33FEA009E73CE /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				6DF25E5121F33FEA009E73CE /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		6DF25E6A21F33FEA009E73CE /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.1;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		6DF25E6B21F33FEA009E73CE /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.1;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		6DF25E6D21F33FEA009E73CE /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Manual;
				DEVELOPMENT_TEAM = 4X7TD546UZ;
				INFOPLIST_FILE = NotepadKitSample/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 11.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = io.woodemi.notepad.sample;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "match Development io.woodemi.notepad.sample";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		6DF25E6E21F33FEA009E73CE /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_IDENTITY = "iPhone Distribution";
				CODE_SIGN_STYLE = Manual;
				DEVELOPMENT_TEAM = 4X7TD546UZ;
				INFOPLIST_FILE = NotepadKitSample/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 11.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = io.woodemi.notepad.sample;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "match AdHoc io.woodemi.notepad.sample";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		6DF25E7321F33FEA009E73CE /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 4X7TD546UZ;
				INFOPLIST_FILE = NotepadKitSampleUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = io.woodemi.notepad.NotepadKitSampleUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = NotepadKitSample;
			};
			name = Debug;
		};
		6DF25E7421F33FEA009E73CE /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 4X7TD546UZ;
				INFOPLIST_FILE = NotepadKitSampleUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = io.woodemi.notepad.NotepadKitSampleUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = NotepadKitSample;
			};
			name = Release;
		};
		6DF25E9221F50ADA009E73CE /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
				CODE_SIGN_IDENTITY = "";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEFINES_MODULE = YES;
				DEVELOPMENT_TEAM = 4X7TD546UZ;
				DYLIB_COMPATIBILITY_VERSION = 1;
				DYLIB_CURRENT_VERSION = 1;
				DYLIB_INSTALL_NAME_BASE = "@rpath";
				INFOPLIST_FILE = "$(SRCROOT)/../notepadSdk/Info.plist";
				INSTALL_PATH = "$(LOCAL_LIBRARY_DIR)/Frameworks";
				KOTLIN_BUILD_TYPE = DEBUG;
				KOTLIN_TARGET = "";
				"KOTLIN_TARGET[sdk=iphoneos*]" = iosArm64;
				"KOTLIN_TARGET[sdk=iphonesimulator*]" = iosX64;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = io.woodemi.NotepadKit;
				PRODUCT_NAME = "$(TARGET_NAME:c99extidentifier)";
				SKIP_INSTALL = YES;
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				VERSIONING_SYSTEM = "apple-generic";
				VERSION_INFO_PREFIX = "";
			};
			name = Debug;
		};
		6DF25E9321F50ADA009E73CE /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
				CODE_SIGN_IDENTITY = "";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEFINES_MODULE = YES;
				DEVELOPMENT_TEAM = 4X7TD546UZ;
				DYLIB_COMPATIBILITY_VERSION = 1;
				DYLIB_CURRENT_VERSION = 1;
				DYLIB_INSTALL_NAME_BASE = "@rpath";
				INFOPLIST_FILE = "$(SRCROOT)/../notepadSdk/Info.plist";
				INSTALL_PATH = "$(LOCAL_LIBRARY_DIR)/Frameworks";
				KOTLIN_BUILD_TYPE = RELEASE;
				KOTLIN_TARGET = "";
				"KOTLIN_TARGET[sdk=iphoneos*]" = iosArm64;
				"KOTLIN_TARGET[sdk=iphonesimulator*]" = iosX64;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = io.woodemi.NotepadKit;
				PRODUCT_NAME = "$(TARGET_NAME:c99extidentifier)";
				SKIP_INSTALL = YES;
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				VERSIONING_SYSTEM = "apple-generic";
				VERSION_INFO_PREFIX = "";
			};
			name = Release;
		};
		6DF25E9621F50ADA009E73CE /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 4X7TD546UZ;
				INFOPLIST_FILE = NotepadKitTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = io.woodemi.notepad.NotepadKitTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/NotepadKitSample.app/NotepadKitSample";
			};
			name = Debug;
		};
		6DF25E9721F50ADA009E73CE /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 4X7TD546UZ;
				INFOPLIST_FILE = NotepadKitTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = io.woodemi.notepad.NotepadKitTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/NotepadKitSample.app/NotepadKitSample";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		6DF25E3F21F33FE8009E73CE /* Build configuration list for PBXProject "NotepadKitSample" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				6DF25E6A21F33FEA009E73CE /* Debug */,
				6DF25E6B21F33FEA009E73CE /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		6DF25E6C21F33FEA009E73CE /* Build configuration list for PBXNativeTarget "NotepadKitSample" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				6DF25E6D21F33FEA009E73CE /* Debug */,
				6DF25E6E21F33FEA009E73CE /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		6DF25E7221F33FEA009E73CE /* Build configuration list for PBXNativeTarget "NotepadKitSampleUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				6DF25E7321F33FEA009E73CE /* Debug */,
				6DF25E7421F33FEA009E73CE /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		6DF25E9121F50ADA009E73CE /* Build configuration list for PBXNativeTarget "NotepadKit" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				6DF25E9221F50ADA009E73CE /* Debug */,
				6DF25E9321F50ADA009E73CE /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		6DF25E9521F50ADA009E73CE /* Build configuration list for PBXNativeTarget "NotepadKitTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				6DF25E9621F50ADA009E73CE /* Debug */,
				6DF25E9721F50ADA009E73CE /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 6DF25E3C21F33FE8009E73CE /* Project object */;
}
